
// function to return the molecular weight
function molecularWeight(){
	var value = -1;

	// get the compound name
	var compoundName = sample.getName();


	// if we have a compound name, try to find the info
	if ( 0 != compoundName.length() ) {

		// create the reader for the file
		var file = new java.io.File("./plugin/compoundInfo.plugin/compoundInfo.txt");
		var reader = new java.io.BufferedReader( java.io.FileReader( file ) );
		var line;

		// read the lines in the file
		while ( (line = reader.readLine()) ) {

			// spilt the comma separated file
			var tokens = line.split(",");
			var name = tokens[0];
			
			// if the names match, set MW and stop reading
			if( compoundName.toString().equalsIgnoreCase( name.toString() ) ) {
				value = tokens[1];
				break;
			}

		}
		
		reader.close();

	}

	// return the value we found
	return value;

}